%global fondryname cyreal
%global fontname wireone
%global fontconf 61-%{fontname}-fonts.conf
%global alphatag 20140916hg


Name:          %{fondryname}-%{fontname}-fonts
Version:       1.000
Release:       0.3.%{alphatag}%{?dist}
Summary:       Wire One font by Alexei Vanyashin and Gayaneh Bagdasaryan
License:       OFL
URL:           http://www.cyreal.org/2012/07/wire/
Source0:       https://googlefontdirectory.googlecode.com/hg/ofl/wireone/WireOne.ttf
Source1:       https://googlefontdirectory.googlecode.com/hg/ofl/wireone/OFL.txt
Source10:      %{fontconf}
BuildArch:     noarch
BuildRequires: fontpackages-devel
BuildRequires: ttname
Requires:      fontpackages-filesystem

%description
Wire is a condensed monoline sans. Its modular-based characters are flavored
with a sense of art nouveau. Nearly hairline thickness suggests usage for body
text above 12px. While at display sizes it reveals its tiny dot terminals to
create a sharp mood in headlines.

For web typesetting it is recommended to adjust letter-spacing for sizes below
30px to 0.033em and up. For 12 px we recommend the value of 0.085em. Designed by
Alexei Vanyashin, Gayaneh Bagdasaryan.


%prep
%setup -qTc
cp -p %{SOURCE0} %{SOURCE1} .



%build
ttname --copyright="$(head -n1 OFL.txt)" --license="$(cat OFL.txt)" --license-url="http://scripts.sil.org/OFL" *.ttf || exit 0

%install
install -m 0755 -d %{buildroot}%{_fontdir}

install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
    %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-0.3.20140916hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Sep 26 2014 Julien Enselme <jujens@jujens.eu> - 1.000-0.2.20140916hg
- Correct fontconfig: sans -> sans-serif

* Tue Sep 16 2014 Julien Enselme <jujens@jujens.eu> - 1.000-0.1.20140916hg
- Initial packaging.
